Subject: [ippm] AD review of draft-ietf-ippm-multipoint-alt-mark-05

From: Mirja Kuehlewind <[email-masked]>
Date: Fri, 21 Feb 2020 16:47:07 +0100

Hi authors,

I’m ready to request IETF last call for this document. However, I have one question I would like to discuss:

Why is this document experimental? I know that RFC8321 is also experimental, however, that was probably also a borderline decision but in RFC8321 there are at last mechanisms that will be implemented in interoperable protocols, while this document really only describes mechanisms that can be applied based on existed singling. Further if something is experimental, it also good practice to briefly discuss “what the experiment is”. However, I don’t see this approbate here. Therefore for me this document is clearly informational.  

As I’m stepping in March, and we are therefore running a bit out of time, I would like to start IETF last call today no matter what. If you read this mail in the next hours and agree to change to Informational, please do so right away and submit a new version. Otherwise I will request IETF last call anyway later today. Given that experimental and informational have the sam maturity level, we can still change the intended status later without having to re-do the IETF last call.

Also, as no normative language is used, please remove the Requirements Language disclaimer and reference to RFC2119 with the next update.

Find below some minor editorial nits that you may want to address now or in a later version!

Thanks!
Mirja

------
Some editorial nits:

1) Based on the RFC Style Guide RFC7322, you cannot use reference in the abstract. It fine to have an RFC named there, just remove the reference. Further I actually think the last sentence is probably not needed at all in the abstract.

2) In Intro:
OLD
"The alternate marking method, as presented until now, …”
NEW
"The alternate marking method, as described in RFC 8321 [RFC8321], …”

3) In Intro:
"Note that additional details about the
   Alternate Marking methodology are described in the paper
   [IEEE-Network-PNPM]”
Is this sentence really needed? Should the spec in RFC8321 be complete?
(Note that the dot at the end of the sentence is also missing)

4) In Intro:
s/BUM (Broadcast Unknown Unicast Multicast)/BUM (Broadcast, Unknown-unicast, and Multicast)/

5) sec 8.2.1:
s/if we would perform a delay measurement/If we would perform a delay measurement/

6) sec 8.2.2:
s/that don't match/that do not match/

9) sec 9
s/flexibility to PM/flexibility to Performance Management (PM)/

---

From: Giuseppe Fioccola <[email-masked]>
Date: Fri, 21 Feb 2020 20:14:05 +0000

Hi Mirja,
I remember we had a similar discussion also for RFC8321. And I agree with you, this document is borderline between Experimental and Informational.
Anyway we can keep it Experimental and, as you suggested, we can discuss later in the process if it is worth to change.
I will submit the new version including the editorial nits early next week.

Regards,

Giuseppe

________________________________

Giuseppe Fioccola
Mobile: +49-15222812418<tel:+49-15222812418>
Email: [email-masked]<mailto:[email-masked]>

From: Mirja Kuehlewind<[email-masked]<mailto:[email-masked]>>
To: draft-ietf-ippm-multipoint-alt-mark.all<[email-masked]<mailto:[email-masked]>>
Cc: IETF IPPM WG<[email-masked]<mailto:[email-masked]>>
Subject: AD review of draft-ietf-ippm-multipoint-alt-mark-05
Time: 2020-02-21 16:47:33

Hi authors,

Thanks!
Mirja

------
Some editorial nits:

2) In Intro:
OLD

3) In Intro:

4) In Intro:

5) sec 8.2.1:

6) sec 8.2.2:

9) sec 9

---

From: Mirja Kuehlewind <[email-masked]>
Date: Fri, 21 Feb 2020 21:25:14 +0100

Hi Giuseppe,

Thanks for your quick reply. Okay, I requested IETF last call now.

You can update these nits next week or you can also wait until end of IETF last call in two weeks when you have also have feedback from the GENART, OPSDIR, and SECDIR reviews. However, it would be good if you can prepare these changes and then update immediately when the call is over, as we have a bit time pressure here…

Thanks!
Mirja

> On 21. Feb 2020, at 21:14, Giuseppe Fioccola <[email-masked]> wrote:
> 
> Hi Mirja,
> Mobile: +49-15222812418  
> Email: [email-masked]
> 
> 
> From: Mirja Kuehlewind<[email-masked]>
> To: draft-ietf-ippm-multipoint-alt-mark.all<[email-masked]>
> Cc: IETF IPPM WG<[email-masked]>

---

From: Giuseppe Fioccola <[email-masked]>
Date: Mon, 24 Feb 2020 16:39:56 +0000

Hi Mirja,
I have just published the new version that addresses your inputs.
Please let me know if it is ok.

Regards,

Giuseppe

-----Original Message-----
From: Mirja Kuehlewind [mailto:[email-masked]] 
Sent: Friday, February 21, 2020 9:25 PM
To: Giuseppe Fioccola <[email-masked]>
Cc: draft-ietf-ippm-multipoint-alt-mark.all <[email-masked]>; IETF IPPM WG <[email-masked]>
Subject: Re: AD review of draft-ietf-ippm-multipoint-alt-mark-05

Hi Giuseppe,

Thanks!
Mirja